PUT
Update the understanding

Authorizations

Authorization
string
header
required

Provide your API key in the Authorization header using Bearer auth

Path Parameters

id
string
required

Video clone ID

no
integer<int32>
required

Revision number

Body

application/json

Replaces the understanding or the plan of a revision.

payload
object
required

New content with the same structure as understanding / plan in the revision detail (snake_case fields)

Response

OK

A revision (GET /v1/videos/clone/{id}/revisions/{no}): steps, brief, understanding, plan, shots, assets and final video.

object
string

Always video.clone.revision

Example:

"video.clone.revision"

clone_id
string

Video clone ID

Example:

"vclone_0192f1c3a7b87c3e9a4f5b6c7d8e9f01"

revision_no
integer<int32>

Revision number

Example:

1

base_revision_no
integer<int32>

Revision it was created from

status
enum<string>

producing / waiting_input / completed / failed / cancelled

Available options:
producing,
waiting_input,
completed,
failed,
cancelled
Example:

"waiting_input"

run
object

A workflow run

brief
object

Brief of this revision: request, reference images and models

understanding
object

Understanding of the reference video; editable

plan
object

Production plan; editable

shots
object[]

Shots

assets
object[]

All asset candidates

final_video
object

A file with a signed download link.

timeline
object[]

Timeline of the final video

created_at
integer<int64>

Creation time (Unix seconds)